# Introduction 

[Probably start with modeling]

A fundamental goal of biochemistry is understanding the intricate relationship between a protein sequence, its structure, and its function.  Atomic-level knowledge of enzymes in particular has proven immensely challenging. Because we don't understand how enzymes work, the field of synthetic biology is unable to harness the catalytic power of enzymes for arbitrary chemical reactions. 

Previous efforts to computationally model the relationship between the thermal stability of enzymes and point mutations in enzyme systems have relied on the addition of evolutionary information (Thompson) and, see CASP, have had success in creating models of proteins to an accuracy of X previously-believed to be impossible to model accurately. People have tried to model the biophysical constraints on protein evolution but there is rarely any actual mutational data to draw from (only the "fossil record" of known holomologues sequences and the evolutionary history of the organisms that we see a snapshot of) \cite{25165599}

Here, we measure the thermal denaturation temperature of 117 mutants of a family 1 glycoside hydrolase, BlgB. After generating models of each mutant, we combine the experimental data with 45 features (e.g., total system energy, ligand energy). A machine learning algorithm trained on the data is used to make a prediction for the thermal stability of 15 point mutants evenly sampled from the single nucleotide polymorphism--accessible space and 15 point mutants evenly sampled from the elastic net model. 

The predictive model achieved a Pearson correlation coefficient of [...] in our tests, showing that [...]

Bagel uses residues E164, E353, and Y295 as catalytic residues \cite{Isorna_2007}

[Bagel enzyme in general, represents a common fold and evolutionary conserved function and diverse sequences that all fold the same way and have the same function, just residing in different organisms]

Evolutionary constraints limit protein evolvability in the sense that only certain mutations are physically possible (SNP-accessible, not divert folding trajectory) \cite{19765975}